/*
* Ultrasonic Sensor HC-SR04 and Arduino Tutorial
*
* by Dejan Nedelkovski,
* www.howtomechatronics.com
*
*/

// defines pins numbers
const int trigPin = 6;    // MOSI - ISP Pin2
const int echoPin = 5;    // MISO - ISP Pin4

// defines variables
long duration;
int distance;

void setup() {
pinMode(trigPin, OUTPUT); // Sets the trigPin as an Output
pinMode(echoPin, INPUT); // Sets the echoPin as an Input
pinMode(7,OUTPUT);
}

void loop() {
// Clears the trigPin
digitalWrite(trigPin, LOW);
delayMicroseconds(2);
// Sets the trigPin on HIGH state for 10 micro seconds
digitalWrite(trigPin, HIGH);
delayMicroseconds(10);
digitalWrite(trigPin, LOW);
// Reads the echoPin, returns the sound wave travel time in microseconds
duration = pulseIn(echoPin, HIGH);
// Calculating the distance
distance= duration*0.034/2;
// Prints the distance on the Serial Monitor
if (distance < 10) {
  digitalWrite(7,HIGH);
  delay(100);
  digitalWrite(7,LOW);
  delay(50);
} else {
  digitalWrite(6,HIGH);
  delay(100);
  digitalWrite(6,LOW);
  delay(50);
}
}


